{$q+,r+}
var
    a, b: longint;
    sp, sq, n: int64;
    m, ma, mb: int64;
begin
    while not seekeof do begin
        read(n, sp, sq);

        if (n > 1) then begin
            m := maxlongint;
            m := m * m;
            ma := 0;
            mb := 0;
            for a := 0 to 31 do begin
                for b := 0 to 31 do begin
                    if (sp + sp shl a) shr b >= sq then begin
                        if m > ((sp * (n - 1)) + (sp * (n - 1)) shl a) shr b + sq then begin
                            m := ((sp * (n - 1)) + (sp * (n - 1)) shl a) shr b + sq;
                            ma := a;
                            mb := b;
                        end;
                    end;
                end;
            end;
        end else begin
            m := sq;
            ma := 0;
            mb := 0;
        end;

        writeln(m , ' ', ma, ' ', mb);
    end;
end.